# Projet SEC (MySh) Master 1 Artois 2018-2019
### Brandao Arthur (75%) & Maxence Bacquet (25%)



## Utilisation

La compilation du programme s'effectue avec le commande `make` dans le dossier du projet. Il est possible de recréer les dépendances avec la commande `make depend`, et de supprimer les logs avec `make rm-log`. Pour lancer le programme il suffit d'exécuter le fichier ./mysh.

Les commandes externes (myls et myps) sont exécutable sans passer par le programme mysh, mais sont aussi utilisable comme des commandes internes de ce dernier. Il suffit juste de taper le nom de la commande dans un terminal mysh pour l'exécuter.



## Fonctionalités

Présentes :

- Exécution de commandes
- Séquencement
- Wildcards
- Changement de répertoire
- Sortie du shell (commande exit et Ctrl+C)
- Code de retoure d'un processus (commande status)
- Lister le contenue d'un répertoire (commande myls)
- Etat des processus en cours (commande myps)
- Les tubes
- Les redirections d'entrées et de sorties vers des fichiers
- Premier et arrière plans
- Commande myjobs
- Variables locales et d'environnements

Absentes :

- Commandes myfg, mybg et gestion du Ctrl+Z



## Bug / Fonctionalitées partiels

La commande myps liste les processus en cours d'exécution avec leur PID, le nom de la commande, l'etat et l'utilisateur qui l'a lancé. Elle ne récupère qu'une partie des infos présente dans `ps -aux`.



## Blagounette

Qu'est-ce qu'un canife ?

Un petit fien.





